Subject: Re: [dispatch] Revised proposed charter for Combining SIP and XMPP

From: "Bernard Aboba" <[email-masked]>
Date: Mon, 14 Dec 2009 08:06:47 -0800

> This is correct and at least I would like to keep it that way.
> However, if the same credentials are used for both SIP and XMPP, it
> would mean the SIP and XMPP infras share the same credentials
> database. How this is done (or if a provider decides to do that in
> the first place) should be out of scope of this charter.

Right.  However, this is a deployment issue, not a protocol issue. 
The focus here is on the endpoints; the backend servers may exist
within the same administrative domain, or they may not; they may
share the same backend, or they may not.  Even if they share the
same backend, they may not necessarily utilize the same backend
schema elements. 

In any case, I'd argue that changing the authentication mechanisms
for either SIP or XMPP should be out of scope.   In the case of XMPP
(which relies on SASL), it isn't even clear to me that such a change
should even be discussed in the RAI area (as opposed to the Security 
area).